# Organizations

Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations).

## List user organizations

> Retrieves a collection of all organizations, in which the user has membership. The response contains information about the organization \`name\`, \`organizationId\` and \`timezoneId\`. You can get more data about the user organizations with specifying the \`cols\[]\` query parameter.\
> \
> However, the values for parameters \`license\`, \`serviceName\` and \`isPaused\` are returned only for organizations in your current Make zone.\
> \
> Returned organizations are sorted by the organization name in ascending order by default. You can specify sorting order with the query parameter \`pg\[sortBy].\`

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations":{"get":{"tags":["Organizations"],"summary":"List user organizations","description":"Retrieves a collection of all organizations, in which the user has membership. The response contains information about the organization `name`, `organizationId` and `timezoneId`. You can get more data about the user organizations with specifying the `cols[]` query parameter.\n\nHowever, the values for parameters `license`, `serviceName` and `isPaused` are returned only for organizations in your current Make zone.\n\nReturned organizations are sorted by the organization name in ascending order by default. You can specify sorting order with the query parameter `pg[sortBy].`","parameters":[{"name":"zone","in":"query","description":"The URL of your Make instance domain.","schema":{"type":"string"}},{"name":"externalId","in":"query","description":"Make White Label product instances use the `externalId` parameter for security reasons. This parameter has `null` value in the public Make Cloud instance.","schema":{"type":"string"}},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/pagination-sorting-filtering/filtering.md)\n"},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organizations":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"serviceName":{"type":"string"},"nextReset":{"type":"string","format":"date-time"},"lastReset":{"type":"string","format":"date-time"},"isPaused":{"type":"boolean"},"countryId":{"type":"integer"},"timezoneId":{"type":"integer"},"deleted":{"type":"boolean"},"license":{"type":"object","additionalProperties":{}},"zone":{"type":"string"},"teams":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}},"productName":{"type":"string"},"ssoType":{"type":"string","nullable":true,"description":"The SSO authentication type configured for the organization. Possible values: 'oauth2', 'saml2', 'none', or null if not configured."},"scenarios":{"type":"integer"},"activeScenarios":{"type":"integer"},"tfaEnforced":{"type":"boolean","description":"Whether TFA is enforced for the organization."},"featureControls":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"enabled":{"type":"boolean"}}}}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Create an organization

> Create a new organization using the data sent in the request body. Successful response contains all information about the created organization.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["admin:write","organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations":{"post":{"tags":["Organizations"],"summary":"Create an organization","description":"Create a new organization using the data sent in the request body. Successful response contains all information about the created organization.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the organization. The name may contain only letters, numbers, spaces, and the following special characters: `'`, `-`, `.`, `(`, `)`, `*`, `+`, `,`, `@`, `_`, `/`. The name must not start or end with a space."},"regionId":{"type":"integer","description":"ID of the Make region instance associated with the organization. Get the list of Make regions with the API call `GET /enums/imt-regions`."},"timezoneId":{"type":"integer","description":"The ID of the timezone associated with the organization. Get the list of the timezone IDs with the API call `GET /enums/timezones`."},"countryId":{"type":"integer","description":"The ID of the country associated with the organization. Get the list of the country IDs with the API call `GET /enums/countries`."}},"required":["name","regionId","timezoneId","countryId"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"serviceName":{"type":"string"},"nextReset":{"type":"string","format":"date-time"},"lastReset":{"type":"string","format":"date-time"},"isPaused":{"type":"boolean"},"countryId":{"type":"integer"},"timezoneId":{"type":"integer"},"deleted":{"type":"boolean"},"license":{"type":"object","additionalProperties":{}},"zone":{"type":"string"},"teams":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}},"productName":{"type":"string"},"ssoType":{"type":"string","nullable":true,"description":"The SSO authentication type configured for the organization. Possible values: 'oauth2', 'saml2', 'none', or null if not configured."},"scenarios":{"type":"integer"},"activeScenarios":{"type":"integer"},"tfaEnforced":{"type":"boolean","description":"Whether TFA is enforced for the organization."},"featureControls":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}}}
```

## GET /organizations/invitation

> Invitation detail

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/invitation":{"get":{"tags":["Organizations"],"summary":"Invitation detail","parameters":[{"name":"hash","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}},"user":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"language":{"type":"string"},"timezoneId":{"type":"integer"},"localeId":{"type":"integer"},"countryId":{"type":"integer"},"features":{"type":"object","properties":{"allow_apps":{"type":"boolean"}}},"avatar":{"type":"string","format":"uri"},"lastLogin":{"type":"string","format":"date-time"},"supportEligible":{"type":"boolean","description":"Whether the user is eligible for contact support. False if all user's organizations are on Free plan and account is older than 90 days."},"userTeamIds":{"type":"array","nullable":true,"description":"IDs of teams the user belongs to within the organization. Only returned when explicitly requested via cols[]=userTeamIds and organizationId is provided.","items":{"type":"integer"}}}},"userOrganizationRole":{"type":"object","properties":{"userId":{"type":"integer"},"organizationId":{"type":"integer"},"usersRoleId":{"type":"integer"},"invitation":{"type":"string"}}}}}}}}}}}}}
```

## POST /organizations/accept-invitation

> Accept invitation

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/accept-invitation":{"post":{"tags":["Organizations"],"summary":"Accept invitation","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"hash":{"type":"string"}},"required":["hash"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"language":{"type":"string"},"timezoneId":{"type":"integer"},"localeId":{"type":"integer"},"countryId":{"type":"integer"},"features":{"type":"object","properties":{"allow_apps":{"type":"boolean"}}},"avatar":{"type":"string","format":"uri"},"lastLogin":{"type":"string","format":"date-time"},"supportEligible":{"type":"boolean","description":"Whether the user is eligible for contact support. False if all user's organizations are on Free plan and account is older than 90 days."},"userTeamIds":{"type":"array","nullable":true,"description":"IDs of teams the user belongs to within the organization. Only returned when explicitly requested via cols[]=userTeamIds and organizationId is provided.","items":{"type":"integer"}}}},"userOrganizationRole":{"type":"object","properties":{"userId":{"type":"integer"},"organizationId":{"type":"integer"},"usersRoleId":{"type":"integer"},"invitation":{"type":"string"}}}}}}}}}}}}}
```

## Get organization details

> Retrieves detail information of the organization with the specified \`organizationId\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}":{"get":{"tags":["Organizations"],"summary":"Get organization details","description":"Retrieves detail information of the organization with the specified `organizationId`.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"wait","in":"query","schema":{"type":"boolean"},"description":"Set this parameter to `true` if you are using the API call `GET /organizations/{organizationId}` shortly after creating the organization. The API call will first check synchronization of the Make backend and your Make zone data. If you don't use this argument, the API call might fail with an error due to unfinished data synchronization. The default value of this argument is `false`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"serviceName":{"type":"string"},"nextReset":{"type":"string","format":"date-time"},"lastReset":{"type":"string","format":"date-time"},"isPaused":{"type":"boolean"},"countryId":{"type":"integer"},"timezoneId":{"type":"integer"},"deleted":{"type":"boolean"},"license":{"type":"object","additionalProperties":{}},"zone":{"type":"string"},"teams":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}},"productName":{"type":"string"},"ssoType":{"type":"string","nullable":true,"description":"The SSO authentication type configured for the organization. Possible values: 'oauth2', 'saml2', 'none', or null if not configured."},"scenarios":{"type":"integer"},"activeScenarios":{"type":"integer"},"tfaEnforced":{"type":"boolean","description":"Whether TFA is enforced for the organization."},"featureControls":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}}}
```

## Delete an organization

> Deletes the organization with the specified \`organizationId\`. Make also deletes all the teams in the organization. \
> &#x20;You can only delete organizations that are associated with your current Make zone. Your current Make zone is specified in the API call URL. Currently, it is either: \
> &#x20;\- \`eu1.make.com\` \
> &#x20;\- \`us1.make.com\`

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}":{"delete":{"tags":["Organizations"],"summary":"Delete an organization","description":"Deletes the organization with the specified `organizationId`. Make also deletes all the teams in the organization. \n You can only delete organizations that are associated with your current Make zone. Your current Make zone is specified in the API call URL. Currently, it is either: \n - `eu1.make.com` \n - `us1.make.com`","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to confirm the organization deletion. Otherwise, if the organization has active scenarios, Make won't delete the organization and the API call returns an error."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"integer"}}}}}}}}}}}
```

## Update organization information

> Updates the organization data with the values in the request body. If you don't use a parameter in the request body, Make won't change its value. You can update organization name, timezone, and country with the \`name\`, \`timezoneId\`, and \`countryId\` parameters.\
> \
> Check the available values for the \`timezoneId\` and \`countryId\` parameters with the API calls \`GET /enums/timezones\` and \`GET /enums/countries\`.\
> \
> The request response returns all organization data.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}":{"patch":{"tags":["Organizations"],"summary":"Update organization information","description":"Updates the organization data with the values in the request body. If you don't use a parameter in the request body, Make won't change its value. You can update organization name, timezone, and country with the `name`, `timezoneId`, and `countryId` parameters.\n\nCheck the available values for the `timezoneId` and `countryId` parameters with the API calls `GET /enums/timezones` and `GET /enums/countries`.\n\nThe request response returns all organization data.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The new name of the organization. The name may contain only letters, numbers, spaces, and the following special characters: `'`, `-`, `.`, `(`, `)`, `*`, `+`, `,`, `@`, `_`, `/`. The name must not start or end with a space."},"countryId":{"type":"integer","description":"The ID of the country associated with the organization. Get the list of the country IDs with the API call `GET /enums/countries`."},"timezoneId":{"type":"integer","description":"The ID of the timezone associated with the organization. Get the `timezoneId` values with the API call `GET /enums/timezones`."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"serviceName":{"type":"string"},"nextReset":{"type":"string","format":"date-time"},"lastReset":{"type":"string","format":"date-time"},"isPaused":{"type":"boolean"},"countryId":{"type":"integer"},"timezoneId":{"type":"integer"},"deleted":{"type":"boolean"},"license":{"type":"object","additionalProperties":{}},"zone":{"type":"string"},"teams":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"}}}},"productName":{"type":"string"},"ssoType":{"type":"string","nullable":true,"description":"The SSO authentication type configured for the organization. Possible values: 'oauth2', 'saml2', 'none', or null if not configured."},"scenarios":{"type":"integer"},"activeScenarios":{"type":"integer"},"tfaEnforced":{"type":"boolean","description":"Whether TFA is enforced for the organization."},"featureControls":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}}}
```

## Get a list of custom apps

> Get list of custom apps associated with the users in the organization. The request response contains information of both published and unpublished custom apps. The custom app name is suffixed with a random text string.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/apps":{"get":{"tags":["Organizations"],"summary":"Get a list of custom apps","description":"Get list of custom apps associated with the users in the organization. The request response contains information of both published and unpublished custom apps. The custom app name is suffixed with a random text string.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"installedApps":{"type":"array","items":{"type":"object","properties":{"appName":{"type":"string"},"appVersion":{"type":"integer"},"organizationId":{"type":"integer"},"installedAt":{"type":"string","format":"date-time"},"installedBy":{"type":"integer"}}}}}}}}}}}}}}
```

## GET /organizations/{organizationId}/payments

> Get list of past payments

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/payments":{"get":{"tags":["Organizations"],"summary":"Get list of past payments","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"payments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"invoice_number":{"type":"integer"},"created":{"type":"string","format":"date-time"},"type_name":{"type":"string"},"status_name":{"type":"string"},"product_name":{"type":"object"},"payment_method":{"type":"object","properties":{"type":{"type":"string"},"card":{"type":"object","properties":{"brand":{"type":"string"},"last4":{"type":"string"},"country":{"type":"string"},"network":{"type":"string"},"exp_year":{"type":"integer"},"exp_month":{"type":"integer"},"fingerprint":{"type":"string"}}}}},"amount_total":{"type":"number"},"currency_code":{"type":"string"},"invoice_url":{"type":"string"},"hosted_invoice_url":{"type":"string"},"period_from":{"type":"string","format":"date"},"period_to":{"type":"string","format":"date"}}}}}}}}}}}}}}
```

## GET /organizations/{organizationId}/subscription

> Get detail of an active subscription

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription":{"get":{"tags":["Organizations"],"summary":"Get detail of an active subscription","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"product":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"nextBill":{"type":"string","format":"datetime"},"price":{"type":"object","properties":{"id":{"type":"number"},"price":{"type":"number"},"currencyCode":{"type":"string"},"period":{"type":"string"}}},"coupon":{"type":"object","properties":{"validFrom":{"type":"string","format":"datetime"},"validTo":{"type":"string","format":"datetime"},"price":{"type":"number"},"currencyCode":{"type":"string"},"productId":{"type":"number"},"productName":{"type":"string"}}}}}}}}}}}}}}}
```

## POST /organizations/{organizationId}/subscription

> Create a new subscription

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription":{"post":{"tags":["Organizations"],"summary":"Create a new subscription","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"priceId":{"type":"number"},"couponCode":{"type":"string"},"customer":{"type":"object","properties":{"email":{"type":"string","format":"email"},"name":{"type":"string"},"isBusiness":{"type":"boolean"},"companyName":{"type":"string"},"taxId":{"type":"string"},"countryId":{"type":"number"},"city":{"type":"string"},"line1":{"type":"string"},"line2":{"type":"string"},"postalCode":{"type":"string"},"state":{"type":"string"}},"required":["email","name","isBusiness","countryId"]}},"required":["priceId"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"sessionId":{"type":"number"},"url":{"type":"string"},"subscriptionId":{"type":"number"}}}}}}}}}}}
```

## DELETE /organizations/{organizationId}/subscription

> Cancel the active subscription

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription":{"delete":{"tags":["Organizations"],"summary":"Cancel the active subscription","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## PATCH /organizations/{organizationId}/subscription

> Change subscription

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription":{"patch":{"tags":["Organizations"],"summary":"Change subscription","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"priceId":{"type":"number"},"customer":{"type":"object","properties":{"email":{"type":"string","format":"email"},"name":{"type":"string"},"isBusiness":{"type":"boolean"},"companyName":{"type":"string"},"taxId":{"type":"string"},"countryId":{"type":"number"},"city":{"type":"string"},"line1":{"type":"string"},"line2":{"type":"string"},"postalCode":{"type":"string"},"state":{"type":"string"}},"required":["email","name","isBusiness","countryId"]}},"required":["priceId"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## List payment method types

> Returns a list of available payment method types for the organization's subscription.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription/payment-method-types":{"get":{"tags":["Organizations"],"summary":"List payment method types","description":"Returns a list of available payment method types for the organization's subscription.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"paymentMethodTypes":{"type":"array","items":{"type":"object","properties":{"value":{"type":"string"},"label":{"type":"string"},"canBeDefaultForSubscription":{"type":"boolean"},"canBeDefaultForExtras":{"type":"boolean"}}}}}}}}}}}}}}
```

## List payment methods

> Returns a list of payment methods for the organization's subscription.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription/payment-methods":{"get":{"tags":["Organizations"],"summary":"List payment methods","description":"Returns a list of payment methods for the organization's subscription.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"paymentMethods":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"valid":{"type":"boolean"},"customerDefaultMethod":{"type":"boolean"},"customerDefaultExtrasMethod":{"type":"boolean"},"isImmediate":{"type":"boolean"},"created":{"type":"string","format":"date-time"},"methodDetails":{"type":"object","properties":{"brand":{"type":"string"},"display_brand":{"type":"string"},"last4":{"type":"string"}}}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Delete a payment method

> Deletes a payment method from the organization's subscription.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription/payment-methods/{paymentMethodId}":{"delete":{"tags":["Organizations"],"summary":"Delete a payment method","description":"Deletes a payment method from the organization's subscription.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"paymentMethodId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the payment method."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## Set default payment method

> Sets a payment method as the default for the organization's subscription.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription/payment-methods/{paymentMethodId}/default":{"patch":{"tags":["Organizations"],"summary":"Set default payment method","description":"Sets a payment method as the default for the organization's subscription.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"paymentMethodId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the payment method."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"target":{"type":"string","enum":["extras","both","subscription"],"description":"What to set as default. Defaults to 'both'. 'extras' and 'both' throw 400 if the payment method is not immediate. 'subscription' sets default for subscription only."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"paymentMethodId":{"type":"string"},"paymentMethodType":{"type":"string"},"isDefaultForSubscription":{"type":"boolean"},"isDefaultForExtras":{"type":"boolean"}}}}}}}}}}}
```

## POST /organizations/{organizationId}/subscription-free

> Sets Free plan subscription

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/subscription-free":{"post":{"tags":["Organizations"],"summary":"Sets Free plan subscription","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"required":false}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"customerId":{"type":"integer"},"subscriptionId":{"type":"integer"}}}}}}}}}}}
```

## Claim cancellation offer

> Claims a cancellation offer discount for the organization. The user must have the 'payment edit' permission on the organization. The organization must be eligible (no existing universal discount, no active coupon/promo).

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/universal-discount/claim-cancellation-offer":{"post":{"tags":["Organizations"],"summary":"Claim cancellation offer","description":"Claims a cancellation offer discount for the organization. The user must have the 'payment edit' permission on the organization. The organization must be eligible (no existing universal discount, no active coupon/promo).","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization.","schema":{"type":"integer","minimum":1},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## Invite a user to the organization

> Invite a user to the organization. To automatically add the user to teams, specify IDs of the teams. The user gets the team role \*\*member\*\*. You can change the user team role with the API call \`POST /users/{userId}/user-team-roles/{teamId}\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/invite":{"post":{"tags":["Organizations"],"summary":"Invite a user to the organization","description":"Invite a user to the organization. To automatically add the user to teams, specify IDs of the teams. The user gets the team role **member**. You can change the user team role with the API call `POST /users/{userId}/user-team-roles/{teamId}`.","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization.","schema":{"type":"integer"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"usersRoleId":{"type":"integer","description":"The ID of the user organization role assigned to the invited user. Get list of user role IDs from the API call `GET /users/roles`."},"email":{"type":"string","description":"The user registration email.","format":"email"},"name":{"type":"string","description":"The user name visible in the team and organization interface. The name may contain only letters, numbers, spaces, and the following special characters: `'`, `-`, `.`, `(`, `)`, `*`, `+`, `,`, `@`, `_`, `/`. The name must not start or end with a space."},"note":{"type":"string","description":"Note added to the invitation."},"teamsId":{"type":"array","description":"The list of team IDs to which the invited user will be assigned. The invited user will receive the team role **member**.","items":{"type":"integer"}}},"required":["name","email","userRoleId"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"language":{"type":"string"},"timezoneId":{"type":"integer"},"localeId":{"type":"integer"},"countryId":{"type":"integer"},"features":{"type":"object","properties":{"allow_apps":{"type":"boolean"}}},"avatar":{"type":"string","format":"uri"},"lastLogin":{"type":"string","format":"date-time"},"supportEligible":{"type":"boolean","description":"Whether the user is eligible for contact support. False if all user's organizations are on Free plan and account is older than 90 days."},"userTeamIds":{"type":"array","nullable":true,"description":"IDs of teams the user belongs to within the organization. Only returned when explicitly requested via cols[]=userTeamIds and organizationId is provided.","items":{"type":"integer"}}}},"userOrganizationRole":{"type":"object","properties":{"userId":{"type":"integer"},"organizationId":{"type":"integer"},"usersRoleId":{"type":"integer"},"invitation":{"type":"string"}}}}}}}}}}}}}
```

## List organization variables

> Retrieves the collection of organization variables. The response contains all organization variables if your account has the custom variables feature available. Otherwise, the response contains only Make system variables.\
> \
> Check availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\`. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for Make pricing plans overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization-variables:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/variables":{"get":{"tags":["Organizations"],"summary":"List organization variables","description":"Retrieves the collection of organization variables. The response contains all organization variables if your account has the custom variables feature available. Otherwise, the response contains only Make system variables.\n\nCheck availability of the custom variables feature with the API call `GET /organizations/{organizationId}`. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for Make pricing plans overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organizationVariables":{"type":"object","properties":{"typeId":{"type":"integer"},"name":{"type":"string"},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}]},"isSystem":{"type":"boolean"}}}}}}}}}}}}}
```

## Create organization variable

> Creates new organization variable. You can check the availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\`. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> A successful response contains all information about the new variable. If you don't have the custom variables feature available then the API call returns the error 404.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for Make pricing plans overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization-variables:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/variables":{"post":{"tags":["Organizations"],"summary":"Create organization variable","description":"Creates new organization variable. You can check the availability of the custom variables feature with the API call `GET /organizations/{organizationId}`. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nA successful response contains all information about the new variable. If you don't have the custom variables feature available then the API call returns the error 404.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for Make pricing plans overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"typeId":{"type":"number","description":"Number representing the type of the custom variable. The mapping of `typeId` and variable types is as follows:\n\n- 1: `number`,\n - 2: `string`,\n - 3: `boolean`,\n - 4: `date`in ISO 8601 compliant format `YYYY-MM-DDTHH:mm:ss.sssZ`. For example: `1998-03-06T12:31:00.000Z`."},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}],"description":"Value assigned to the custom variable."},"name":{"type":"string","description":"The name of the variable. You can use letters, digits, `$` and `_` characters in the custom variable name."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organizationVariable":{"type":"object","properties":{"typeId":{"type":"integer"},"name":{"type":"string"},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}]},"isSystem":{"type":"boolean"}}}}}}}}}}}}}
```

## Delete organization variable

> Deletes organization variable.\
> \
> If you don't have the custom variables feature available then the API call returns the error 404. Check the availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\`. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for Make pricing plans overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization-variables:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/variables/{variableName}":{"delete":{"tags":["Organizations"],"summary":"Delete organization variable","description":"Deletes organization variable.\n\nIf you don't have the custom variables feature available then the API call returns the error 404. Check the availability of the custom variables feature with the API call `GET /organizations/{organizationId}`. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for Make pricing plans overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"variableName","in":"path","schema":{"type":"string"},"required":true,"description":"The name of the custom variable."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to confirm deleting the custom variable. Otherwise the API call fails with the error IM004 (406)."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## Update organization variable

> Updates custom organization variable with the specified variable \`name\`. Only parameters specified in the request body are updated.\
> \
> You can check the availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\`. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> A successful response contains all information about the updated variable. If you don't have the custom variables feature available then the API call returns the error 404.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for the Make pricing plans overview.\
> \
> Update the variable \`typeId\` accordingly when you are updating the variable \`value\`. Make checks whether the variable type and value match in the request body. There is no check for incorrect variable type when you update only variable value and \_vice versa\_.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization-variables:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/variables/{variableName}":{"patch":{"tags":["Organizations"],"summary":"Update organization variable","description":"Updates custom organization variable with the specified variable `name`. Only parameters specified in the request body are updated.\n\nYou can check the availability of the custom variables feature with the API call `GET /organizations/{organizationId}`. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nA successful response contains all information about the updated variable. If you don't have the custom variables feature available then the API call returns the error 404.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for the Make pricing plans overview.\n\nUpdate the variable `typeId` accordingly when you are updating the variable `value`. Make checks whether the variable type and value match in the request body. There is no check for incorrect variable type when you update only variable value and _vice versa_.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"variableName","in":"path","schema":{"type":"string"},"required":true,"description":"The name of the custom variable."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"typeId":{"type":"number","description":"Number representing the type of the custom variable. The mapping of `typeId` and variable types is as follows:\n\n- 1: `number`,\n - 2: `string`,\n - 3: `boolean`,\n - 4: `date`in ISO 8601 compliant format `YYYY-MM-DDTHH:mm:ss.sssZ`. For example: `1998-03-06T12:31:00.000Z`."},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}],"description":"Value assigned to the custom variable."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organizationVariable":{"type":"object","properties":{"typeId":{"type":"integer"},"name":{"type":"string"},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}]},"isSystem":{"type":"boolean"}}}}}}}}}}}}}
```

## History of custom variable updates

> Gets the history of updates of the specified custom variable. The response contains the ID value of the variable history entry and a \`diffObject\`. The \`diffObject\` contains:\
> \
> \- the original value,\
> &#x20;\- the new value,\
> &#x20;\- the timestamp of the update,\
> &#x20;\- the author of the update.\
> \
> If the variable doesn't have any updates, the \`diffObject\` contains the current value of the variable instead of the original and new values.\
> \
> The update history entries are sorted from newest to latest.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization-variables:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/variables/{variableName}/history":{"get":{"tags":["Organizations"],"summary":"History of custom variable updates","description":"Gets the history of updates of the specified custom variable. The response contains the ID value of the variable history entry and a `diffObject`. The `diffObject` contains:\n\n- the original value,\n - the new value,\n - the timestamp of the update,\n - the author of the update.\n\nIf the variable doesn't have any updates, the `diffObject` contains the current value of the variable instead of the original and new values.\n\nThe update history entries are sorted from newest to latest.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"variableName","in":"path","schema":{"type":"string"},"required":true,"description":"The name of the custom variable."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organizationVariableHistory":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"integer"},"diffObject":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"typeId":{"type":"integer"}}},"changed":{"type":"string","format":"date"},"action":{"type":"string","description":"organization_variable_created or organization_variable_edited or team_variable_created or team_variable_edited"},"author":{"type":"string"}}},{"type":"object","properties":{"id":{"type":"integer"},"diffObject":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"typeId":{"type":"integer"}}},"changed":{"type":"string","format":"date"},"action":{"type":"string"},"author":{"type":"string"}}}]}}}}}}}}}}}}
```

## Get organization usage

> Retrieves a list of daily centicredits, operations, and data transfer usage across all scenarios within all teams in the specified organization for the past 30 days.\
> \
> By default, the endpoint uses the timezone of the user making the API call to define the start and end of each day in the 30-day timeframe.\
> \
> To use the organization's timezone instead, set the \`organizationTimezone\` parameter to \`true\`. This ensures that the daily aggregates align with the organization's operational hours. This is especially useful for scenarios where aggregated data needs to align with the organization's operational hours.\
> \
> For instance, a remote data analyst in India working for a Czech company can set \`organizationTimezone=true\` to ensure the usage data reflects the company's timezone, providing more relevant and accurate insights for organizational reporting and analysis.\
> \
> For more information on timezones in Make, please refer to our \[Help Center article]\(<https://www.make.com/en/help/general/manage-time-zones>).<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/usage":{"get":{"tags":["Organizations"],"summary":"Get organization usage","description":"Retrieves a list of daily centicredits, operations, and data transfer usage across all scenarios within all teams in the specified organization for the past 30 days.\n\nBy default, the endpoint uses the timezone of the user making the API call to define the start and end of each day in the 30-day timeframe.\n\nTo use the organization's timezone instead, set the `organizationTimezone` parameter to `true`. This ensures that the daily aggregates align with the organization's operational hours. This is especially useful for scenarios where aggregated data needs to align with the organization's operational hours.\n\nFor instance, a remote data analyst in India working for a Czech company can set `organizationTimezone=true` to ensure the usage data reflects the company's timezone, providing more relevant and accurate insights for organizational reporting and analysis.\n\nFor more information on timezones in Make, please refer to our [Help Center article](https://www.make.com/en/help/general/manage-time-zones).\n","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization.","schema":{"type":"integer"},"required":true},{"name":"organizationTimezone","in":"query","schema":{"type":"boolean"},"required":false,"description":"When set to `true`, the endpoint will calculate and return usage data based on the organization's timezone instead of the user's local timezone."}],"responses":{"200":{"description":"Successfully retrieved usage data","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","format":"date"},"operations":{"type":"integer"},"dataTransfer":{"type":"integer"},"centicredits":{"type":"bigint"}}}}}}}}}}}}}}
```

## Get organization feature controls

> Retrieves all feature controls for the specified organization. Response order of the feature controls is by descending ID.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/feature-controls":{"get":{"tags":["Organizations"],"summary":"Get organization feature controls","description":"Retrieves all feature controls for the specified organization. Response order of the feature controls is by descending ID.\n","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization.","schema":{"type":"integer"},"required":true},{"name":"featureControlName","in":"query","description":"The feature control name.","schema":{"type":"string"},"required":false},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/pagination-sorting-filtering/filtering.md)\n","required":false}],"responses":{"200":{"description":"Successfully retrieved feature controls","content":{"application/json":{"schema":{"type":"object","properties":{"enableAllControlFeatures":{"type":"boolean"},"featureControls":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"object"},"description":{"type":"object"},"tags":{"type":"array","items":{"type":"string"}},"warning_message":{"type":"object"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}
```

## Patch organization feature controls

> Enable or disable feature control for the specified organization.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/feature-controls":{"patch":{"tags":["Organizations"],"summary":"Patch organization feature controls","description":"Enable or disable feature control for the specified organization.\n","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization.","schema":{"type":"integer"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"The ID of the feature control."},"enabled":{"type":"boolean","description":"Indicates whether the feature control is enabled (true) or disabled (false)."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"featureControls":{"type":"object","properties":{"id":{"type":"integer"},"enabled":{"type":"boolean"}}}}}}}}}}}}}
```

## Set TFA enforcement for an organization

> Enables or disables two-factor authentication (TFA) enforcement for the specified organization.\
> \
> When TFA enforcement is enabled, all users in the organization are required to have two-factor authentication configured.\
> Users who do. not have TFA enabled will be automatically logged out.\
> \
> \*\*Note:\*\* This endpoint is available only for organizations with a plan that supports TFA enforcement.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/tfa-enforcement":{"patch":{"tags":["Organizations"],"summary":"Set TFA enforcement for an organization","description":"Enables or disables two-factor authentication (TFA) enforcement for the specified organization.\n\nWhen TFA enforcement is enabled, all users in the organization are required to have two-factor authentication configured.\nUsers who do. not have TFA enabled will be automatically logged out.\n\n**Note:** This endpoint is available only for organizations with a plan that supports TFA enforcement.\n","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization.","schema":{"type":"integer"},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["enable"],"properties":{"enable":{"type":"boolean","description":"Set to `true` to enable TFA enforcement for the organization, or `false` to disable it."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"organization":{"type":"object","description":"Partial organization object containing the updated TFA enforcement status","properties":{"tfaEnforced":{"type":"boolean","description":"Indicates whether TFA enforcement is enabled for the organization"}}}}}}}},"400":{"description":"Bad request - TFA enforcement feature is not available","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}},"402":{"description":"Payment required - Upgrade your plan to use TFA enforcement feature","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}},"403":{"description":"Forbidden - Insufficient rights to modify organization settings","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}}}}}}}
```

## Check team permission within organization

> Checks if the current user has a specific team (company) permission on any team within the specified organization.\
> Returns \`hasPermission: true\` if the user has the permission on at least one team in the organization,\
> otherwise returns \`hasPermission: false\`.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Organizations","description":"Organizations are main containers that contain all teams, scenarios, and users. The API endpoints discussed further allow you to manage organizations. [Read more about organizations](https://www.make.com/en/help/access-management/organizations)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/check-team-permission":{"get":{"tags":["Organizations"],"summary":"Check team permission within organization","description":"Checks if the current user has a specific team (company) permission on any team within the specified organization.\nReturns `hasPermission: true` if the user has the permission on at least one team in the organization,\notherwise returns `hasPermission: false`.\n","parameters":[{"name":"organizationId","in":"path","description":"The ID of the organization to check permissions within.","schema":{"type":"integer"},"required":true},{"name":"teamPermission","in":"query","description":"The name of the team permission to check. This should be a valid company/team permission name\n(e.g., 'scenario add', 'scenario view', 'team view', 'connection add').\n","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successfully checked permission","content":{"application/json":{"schema":{"type":"object","properties":{"hasPermission":{"type":"boolean","description":"Indicates whether the user has the specified permission on at least one team\nwithin the organization.\n"}}}}}},"400":{"description":"Bad request - missing or invalid teamPermission parameter","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}},"401":{"description":"User is not logged in","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}},"403":{"description":"Access denied - user does not have access to the organization","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}}}}}}}
```
